{"title":"Get companyInformation","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_companyinformation_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_companyinformation_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_companyinformation_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a company information object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":96,"chars":211},{"level":2,"title":"Request headers","slug":"request-headers","at":307,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":379,"chars":61},{"level":2,"title":"Response","slug":"response","at":440,"chars":130},{"level":2,"title":"Example","slug":"example","at":570,"chars":1149},{"level":2,"title":"Related information","slug":"related-information","at":1719,"chars":174}],"text":"Retrieve the properties and relationships of a company information object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/companyInformation\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a companyInformation object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/companyInformation\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"86f5f171-44e3-ea11-bb43-000d3a2feca1\",\n    \"displayName\": \"CRONUS USA, Inc.\",\n    \"addressLine1\": \"7122 South Ashford Street\",\n    \"addressLine2\": \"Westminster\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"country\": \"US\",\n    \"postalCode\": \"31772\",\n    \"phoneNumber\": \"+1 425 555 0100\",\n    \"faxNumber\": \"+1 425 555 0101\",\n    \"email\": \"\",\n    \"website\": \"\",\n    \"taxRegistrationNumber\": \"\",\n    \"currencyCode\": \"USD\",\n    \"currentFiscalYearStartDate\": \"2021-01-01\",\n    \"industry\": \"\",\n    \"picture@odata.mediaReadLink\": \"https://api.businesscentral.dynamics-tie.com/v2.0/5b2f3b37-2b52-460e-8863-3561295b1e08/Production/api/v2.0/companies(4d0e744d-44e3-ea11-bb43-000d3a2feca1)/companyInformation(86f5f171-44e3-ea11-bb43-000d3a2feca1)/picture\",\n    \"lastModifiedDateTime\": \"2020-08-21T00:24:33.793Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_companyinformation\ndynamics_companyinformation_update"}